%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:        Library for processing UTF-8 encoded Unicode strings
Name:           utf8proc
Version:        2.10.0
Release:        %mkrel 2
License:        BSD
Group:          System/Libraries
URL:            https://julialang.org/utf8proc/
Source:         https://github.com/JuliaLang/utf8proc/archive/v%{version}/%{name}-%{version}.tar.gz

%description
utf8proc is a library for processing UTF-8 encoded Unicode strings.
Some features are Unicode normalization, stripping of default ignorable
characters, case folding and detection of grapheme cluster boundaries.
A special character mapping is available, which converts for example
the characters “Hyphen” (U+2010), “Minus” (U+2212) and “Hyphen-Minus
(U+002D, ASCII Minus) all into the ASCII minus sign, to make them
equal for comparisons.

The currently supported Unicode version is 9.0.0.

This package only contains the C library.

%package -n %libname
Summary:        Library for processing UTF-8 encoded Unicode strings
Group:          System/Libraries

%description -n %libname
utf8proc is a library for processing UTF-8 encoded Unicode strings.
Some features are Unicode normalization, stripping of default ignorable
characters, case folding and detection of grapheme cluster boundaries.
A special character mapping is available, which converts for example
the characters “Hyphen” (U+2010), “Minus” (U+2212) and “Hyphen-Minus
(U+002D, ASCII Minus) all into the ASCII minus sign, to make them
equal for comparisons.

The currently supported Unicode version is 9.0.0.

This package only contains the C library.

%package -n %develname
Summary:        Header files, libraries and development documentation for %{name}
Group:          Development/Other
Requires:       %libname = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

%description -n %develname
Contains header files for developing applications that use the %{name}
library.

The documentation for the C library is found in the utf8proc.h header file.
"utf8proc_map" is most likely the function you will be using for mapping UTF-8
strings, unless you want to allocate memory yourself.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}"

%install
%make_install prefix=%{_prefix} includedir=%{_includedir} libdir=%{_libdir}

rm %{buildroot}%{_libdir}/libutf8proc.a

%files -n %libname
%doc NEWS.md README.md
%license LICENSE.md
%{_libdir}/libutf8proc.so.%{major}{,.*}

%files -n %develname
%{_includedir}/utf8proc.h
%{_libdir}/libutf8proc.so
%{_libdir}/pkgconfig/libutf8proc.pc


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 2.10.0-2.mga10
+ Revision: 2250726
- Mageia 10 Mass Rebuild

* Sat Apr 05 2025 daviddavid <daviddavid> 2.10.0-1.mga10
+ Revision: 2173552
- new version: 2.10.0

* Fri Oct 27 2023 daviddavid <daviddavid> 2.9.0-1.mga10
+ Revision: 2002041
- new version: 2.9.0
- now libmajor is 3

* Tue Dec 06 2022 daviddavid <daviddavid> 2.8.0-1.mga9
+ Revision: 1918404
- new version: 2.8.0

* Tue Mar 15 2022 umeabot <umeabot> 2.6.1-2.mga9
+ Revision: 1792963
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1657988
- new version: 2.6.1

* Fri May 29 2020 daviddavid <daviddavid> 2.5.0-1.mga8
+ Revision: 1588784
- new version: 2.5.0

* Sat Feb 15 2020 umeabot <umeabot> 2.4.0-2.mga8
+ Revision: 1526873
- Mageia 8 Mass Rebuild

* Fri Jul 05 2019 daviddavid <daviddavid> 2.4.0-1.mga8
+ Revision: 1418650
- new version: 2.4.0

* Thu Apr 18 2019 daviddavid <daviddavid> 2.3.0-1.mga7
+ Revision: 1393289
- new version: 2.3.0

* Sat Dec 01 2018 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1337035
- new version: 2.2.0

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-6.mga7
+ Revision: 1301554
- Mageia 7 Mass Rebuild

* Sat Aug 12 2017 neoclust <neoclust> 2.1.0-5.mga7
+ Revision: 1139985
- Fix groups
- imported package utf8proc


* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 7 2017  Milan Bouchet-Valat <nalimilan@club.fr> - 2.1.0
- New upstream release.

* Thu Sep 15 2016  Milan Bouchet-Valat <nalimilan@club.fr> - 2.0.2-1
- New upstream release.

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 03 2015  Milan Bouchet-Valat <nalimilan@club.fr> - 1.3.1-1
- New upstream release.

* Tue Aug 11 2015 Milan Bouchet-Valat <nalimilan@club.fr> - 1.3-1
- New upstream release.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Mar 28 2015 Milan Bouchet-Valat <nalimilan@club.fr> - 1.2-1
- New upstream release.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 4 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 1.1.6-3
- Add downstream SONAME version 0.1 since upstream does not set one.

* Fri Feb 14 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 1.1.6-2
- Fix package Group.
- Do not remove build root on install phase.

* Sun Jan 26 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 1.1.6-1
- Adapt package to Fedora.
- Updated to release 1.1.6.

* Sat Aug 29 2009 Dries Verachtert <dries@ulyssis.org> - 1.1.4-1 - 7981/dag
- Updated to release 1.1.4.

* Sun Jul 29 2007 Dries Verachtert <dries@ulyssis.org> - 1.1.2-1
- Updated to release 1.1.2.

* Mon Jul 23 2007 Dries Verachtert <dries@ulyssis.org> - 1.1.1-1
- Updated to release 1.1.1.

* Tue Apr 17 2007 Dries Verachtert <dries@ulyssis.org> - 1.0.3-1
- Initial package.
